#include "ConfigManager.hpp"
#include "CardgameServer.hpp"

#include "json/json.hpp"

#include <iostream>


// Default values
int ConfigManager::ritualMax = 30;
int ConfigManager::timeoutDuration = 200;
int ConfigManager::handSize = 10;
int ConfigManager::manaMax = 5;


void ConfigManager::loadConfig(std::string filename) {
	std::ifstream ifs(filename);
	if (ifs.fail()) {
		throw myexception(strerror(errno));
	}

	nlohmann::json configObj;
	configObj << ifs;

	ritualMax = configObj["ritualMax"];
	timeoutDuration = configObj["timeoutDuration"];
	handSize = configObj["handSize"];
	manaMax = configObj["manaMax"];
}